
package de.ivu.elect.presentation.ergebnis.menu;

import de.ivu.elect.business.sitzberechnung.control.Sitzberechnungsalgorithmus;
import de.ivu.elect.presentation.ergebnis.DHondtQuotientPolitischeGruppeSearchView;

public class DHondtQuotientPolitischeGruppeSearchMenuItemEntry extends AbstractDHondtQuotientSearchMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public DHondtQuotientPolitischeGruppeSearchMenuItemEntry() {
    super();
  }

  @Override
  protected boolean isRendered(Sitzberechnungsalgorithmus< ? > sitzberechnungsalgorithmus) {
    return sitzberechnungsalgorithmus.isErstelltDHondtQuotientPolitischeGruppe();
  }

  @Override
  public String getTargetViewId() {
    return DHondtQuotientPolitischeGruppeSearchView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "d.hondt.quotient.politische.gruppe.search.menu.item.label";
  }
}
